/*ch0911.java*/
import java.awt.*;
import java.applet.*;
import java.awt.event.*;

public class ch0911 extends Applet implements ActionListener
{ AudioClip clip;
  Button b1,b2,b3;

  public void init()
  {
      //下面两种确定对象方式都可以
    clip=getAudioClip(getCodeBase(),"liangzhu.mid");
    b1=new Button("播放");
    b2=new Button("循环播放");
    b3=new Button("停止");
    b1.addActionListener(this);
    b2.addActionListener(this);
    b3.addActionListener(this);
    add(b1);
    add(b2);
    add(b3);
  }
  public void stop()
  {
    clip.stop();    //离开页面时停止播放
  }

  public void actionPerformed(ActionEvent e)
  {
    if(e.getSource()==b1)
    {
      clip.play();
    }
    else if(e.getSource()==b2)
    {
      clip.loop();
    }
    else if(e.getSource()==b3)
    {
      clip.stop();
    }
  }
}
